package com.koobietech.eas.mbg.mapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.koobietech.eas.mbg.model.EasEduClass;
import com.koobietech.eas.mbg.model.EasEduClassExample;
import io.swagger.v3.oas.annotations.media.Schema;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface EasEduClassMapper {
    long countByExample(EasEduClassExample example);

    int deleteByExample(EasEduClassExample example);

    int deleteByPrimaryKey(Long id);

    int insert(EasEduClass record);

    int insertSelective(EasEduClass record);

    List<EasEduClass> selectByExample(EasEduClassExample example);

    EasEduClass selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") EasEduClass record, @Param("example") EasEduClassExample example);

    int updateByExample(@Param("record") EasEduClass record, @Param("example") EasEduClassExample example);

    int updateByPrimaryKeySelective(EasEduClass record);

    int updateByPrimaryKey(EasEduClass record);
}